#ifndef HOMEDIR_H
#define HOMEDIR_H 1

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <malloc.h>

#ifdef _WIN32
#include <windows.h>
#include <winbase.h>
#include <direct.h>
#include <tchar.h>
#include "dirent-win.h"
#else
#include <dirent.h>
#endif

#include <errno.h>
#include "error.h"
extern int errno;


void setup_homedir(void);


#endif
